Subject: [mpls] Yangdoctors early review of draft-ietf-mpls-base-yang-10

From: Ebben Aries via Datatracker <[email-masked]>
Date: Sun, 18 Aug 2019 13:19:00 -0700

Reviewer: Ebben Aries
Review result: On the Right Track

1 module in this draft:
- [email-masked]

No YANG compiler errors or warnings (pyang 2.0.1, yanglint 1.1.40, confdc 6.6.3)

Module [email-masked]:
--------------------------------------------------
- Remove WG Chairs from contact information per
  https://tools.ietf.org/html/rfc8407#appendix-B
- 'ietf-interfaces' import should reference RFC8343 rather
- Must clause for start/end-label is incorrect.  Would suggest moving this
  must statement underneath the `leaf end-label` as well:

  e.g.

  leaf end-label {
      type rt-types:mpls-label;
      must '. >= ../start-label' {
          error-message
            "The end-label must be greater than or equal " +
            "to start-label";
      }
      description "Label-block end";
  }
- Use of 'state' container under '/routing/mpls/label-blocks/label-block/state'
  These nodes could sit as r/o nodes by the looks of it directly under the
  label-block list.  In addition, do these nodes need '-count' suffixes?
  Should they rather be of type `yang:counter32`?
  See: https://github.com/netmod-wg/FAQ/wiki/NMDA-Modelling-FAQ
- Is there any intention to define any surrounding features?

General comments/minor nits on the draft/modules:
--------------------------------------------------
- Section 1: s/feauture/feature/
- Section 2.1: s/the the/the/
- Section 2.1: 'labeled' vs. 'labelled'
- Section 2.4: s/followinig/following/
- Module line 354/367: This is for the 'active-route' action statement rather